function PathFile=FindUniqueFileList(Folder,Ext,NamePart)

ListFiles=dir([Folder filesep '*' Ext]);
nl=numel(ListFiles); Infos=NaN(nl,1);
for i=1:nl
    Name=ListFiles(i).name;
    I=strfind(Name,NamePart);
    if isempty(I)==0
        Infos(i)=1;
    end
    
end
I=find(Infos(:,1)==1);
if length(I)==1
    PathFile=[Folder filesep ListFiles(I).name];
elseif length(I)>1
    error('Few files found with required criteria');
elseif isempty(I)==1
    error('No file found with required criteria');
end


end