function [] = GG_Figstyle(myTitle,myX,myYinputArg2)

%adjust size and aspect ratio
fig=gcf;
fig.Position=[200 200 960/1.3 650/1.3];
fig.Color = [1 1 1];
fs=20; %Fontsize for title and x/y label
fig.Color=[1 1 1];


a = get(gca,'XTickLabel');
set(gca,'TickLabelInterpreter','Latex')

% Tick size
ax=gca;
set(ax,'FontSize',14)

ti=get(gca,'title');
set(ti,'FontSize',fs);
ti.Interpreter='Latex';

xi=get(gca,'xlabel');
set(xi,'FontSize',fs);
xi.Interpreter='Latex';

yi=get(gca,'ylabel');
set(yi,'FontSize',fs);
yi.Interpreter='Latex';

% for nice pdf
orient landscape

box on
if length(ax.Legend)==1
    ax.Legend.Interpreter = 'Latex';
end
end

