function [ymin,ymax]=Decil(ValueSerie,ThresholdMin,ThresholdMax,Plot)

if nargin<4
    Plot=0;  
end

[Counts,CenterBins]=hist(reshape(ValueSerie,[numel(ValueSerie) 1]),fix(numel(ValueSerie)^0.5/2));
Counts=Counts'; CenterBins=CenterBins'; SumCumCounts=cumsum(Counts)/sum(Counts);
I=find(SumCumCounts<ThresholdMin);
if isempty(I)==1;
    ymin=CenterBins(1);
else
    ymin=CenterBins(I(end)); Countsymin=Counts(I(end));
end
I=find(SumCumCounts>ThresholdMax);
if isempty(I)==1;
    ymax=CenterBins(end);
else
    ymax=CenterBins(I(1)); Countsymax=Counts(I(1));
end

if Plot==1
    figure('name','Distribution','NumberTitle','off');
    hold on; plot(CenterBins,Counts,'.-','color','b');
    plot(ymin,Countsymin,'X',ymax,Countsymax,'X','MarkerSize',8,'color','r'); hold off;
end


end