function MyFigStyleLaTeX(xlabel_title,ylabel_title,zlabel_title,figure_title,Colorbar,colorbar_title,AspectRatio)
% All titles must be written in LaTeX
% Colorbar must be 0 or 1
if ischar(xlabel_title)==1
    xlabel(xlabel_title,'Interpreter','latex');
end
if ischar(ylabel_title)==1
    ylabel(ylabel_title,'Interpreter','latex');
end
if ischar(zlabel_title)==1
    zlabel(zlabel_title,'Interpreter','latex');
end
if ischar(figure_title)==1
    title(figure_title,'Interpreter','latex');
end
if Colorbar==1
    c=colorbar;
    set(c,'TickLabelInterpreter', 'latex');
    ylabel(c,colorbar_title,'Interpreter','latex')
elseif Colorbar==2
    c=colorbar;
    set(c,'TickLabelInterpreter', 'latex');
    title(c,colorbar_title,'Interpreter','latex');
end
% set(gca,'FontWeight','bold','FontName','Times New Roman');
set(gcf,'Color',[1 1 1]);
set(gca, 'box', 'on')
set(findall(gcf,'Type','text'),'FontUnits','normalized');
set(gca,'FontUnits','normalized');
set(gca,'TickLabelInterpreter', 'latex');

if size(AspectRatio)==[1 3]
    daspect(AspectRatio);
end

   
    

end