function MyFigStyleLaTeXSave(xlabel_title,ylabel_title,zlabel_title,figure_title,Colorbar,colorbar_title,AspectRatio,FontSize)
% All titles must be written in LaTeX
% Colorbar must be 0 or 1
if ischar(xlabel_title)==1
    xlabel(xlabel_title,'Interpreter','latex');
end
if ischar(ylabel_title)==1
    ylabel(ylabel_title,'Interpreter','latex');
end
if ischar(zlabel_title)==1
    zlabel(zlabel_title,'Interpreter','latex');
end
if ischar(figure_title)==1
    title(figure_title,'Interpreter','latex');
end
% axes('TickLabelInterpreter','latex');
if Colorbar==1
    c=colorbar;
    set(c,'TickLabelInterpreter', 'latex','FontSize',FontSize);
    ylabel(c,colorbar_title,'Interpreter','latex');
elseif Colorbar==2
    c=colorbar; 
    set(c,'TickLabelInterpreter', 'latex','FontSize',FontSize);
    title(c,colorbar_title,'Interpreter','latex');
elseif Colorbar==3
    c=colorbar;
    set(c,'TickLabelInterpreter', 'latex','FontSize',FontSize);
elseif Colorbar==4
    c=colorbar; cbfreeze(c);
    set(c,'TickLabelInterpreter', 'latex','FontSize',FontSize);
    ylabel(c,colorbar_title,'Interpreter','latex');
end
% set(gca,'FontWeight','bold','FontName','Times New Roman','FontSize',FontSize);
set(gca,'TickLabelInterpreter', 'latex','FontSize',FontSize);
set(gcf,'Color',[1 1 1]);
set(gca, 'box', 'on');
set(findall(gcf,'Type','text'),'FontSize',FontSize);

if size(AspectRatio)==[1 3]
    daspect(AspectRatio);
end

   
    

end